### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-multiselect/ecl-multiselect.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `DoCheck` `ControlValueAccessor` `AfterViewInit`

### Metadata

selector | `select[eclMultiselect]`
templateUrl | `ecl-multiselect.component.html`

### Index

###### Properties

- eclOptionItems

###### Methods

- onKeyUp
- Public registerOnChange
- Public registerOnTouched
- Public writeValue
- getCssClasses

###### Inputs

- disabled
- eclPlaceholder
- eclSize
- isInvalid
- class
- e2eAttr

###### Outputs

- eclChange

###### HostBindings

- class

###### HostListeners

- document:click

###### Accessors

- eclPlaceholder
- disabled
- cssClasses

### Constructor

`constructor(ngControl: NgControl, el: ElementRef, viewContainerRef: ViewContainerRef, differs: IterableDiffers)`

Parameters :

Name | Type | Optional
ngControl | `NgControl` | No
el | `ElementRef` | No
viewContainerRef | `ViewContainerRef` | No
differs | `IterableDiffers` | No

### Inputs

disabled
Type : `any`

eclPlaceholder
Type : `string`

eclSize
Type : `string`
Default value : `'m'`

isInvalid
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

eclChange
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### HostListeners

document:click
Arguments : `'$event'`
`document:click(ev: MouseEvent)`

### Methods

onKeyUp
`onKeyUp(ev: MouseEvent)`
Decorators : `@HostListener('document:click', ['$event'])`

Parameters :

Name | Type | Optional
ev | `MouseEvent` | No

Returns : `void`

Public registerOnChange
`registerOnChange(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

Public registerOnTouched
`registerOnTouched(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

Public writeValue
`writeValue(value: any)`

Parameters :

Name | Type | Optional
value | `any` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclOptionItems
Type : `QueryList<EclSelectOptionDirective>`
Decorators : `@ContentChildren(EclSelectOptionDirective)`

### Accessors

eclPlaceholder
set `eclPlaceholder(value: string)`

Parameters :

Name | Type | Optional
value | `string` | No

Returns : `void`

disabled
get `disabled()`
set `disabled(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""